/// <reference types="i18n" />
import { BindingKey } from '@loopback/core';
import { ExpressRequestHandler } from '@loopback/rest';
import { HttpMethod } from './enums';
import { CoreConfig, TenantIdEncryptionFn } from './types';
export declare namespace SFCoreBindings {
    const i18n: BindingKey<i18nAPI>;
    const config: BindingKey<CoreConfig>;
    const EXPRESS_MIDDLEWARES: BindingKey<ExpressRequestHandler[]>;
    const TENANTID_ENCRYPTION_PROVIDER: BindingKey<TenantIdEncryptionFn>;
}
export type OasHiddenApi = {
    path: string;
    httpMethod: HttpMethod;
};
export declare namespace OASBindings {
    const HiddenEndpoint: BindingKey<OasHiddenApi[]>;
}
